﻿/* The actual timeline (the vertical ruler) */
.timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
  background-color:white;
  border-radius:10px;
   
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: '';
  position: absolute;
  width: 3px;
  background-color: #a77410;
  top: 0;
  bottom: 0;
  left: 50%;
  border-radius:100px;
  margin-left: -3px;
}

/* cntnr around content */
.cntnr {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 50%;
}

/* The circles on the timeline */
.cntnr::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  right: -17px;
  background-color: white;
  border: 4px solid #a77410;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the cntnr to the left */
.lefttimeline {
  left: 0;
 
   
}

/* Place the cntnr to the right */
.righttimeline {
  left: 50%;
}

/* Add arrows to the left cntnr (pointing right) */
.lefttimeline::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent #f1f1f1;
  
}

/* Add arrows to the right cntnr (pointing left) */
.righttimeline::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent #f1f1f1 transparent transparent;
}

/* Fix the circle for cntnrs on the right side */
.righttimeline::after {
  left: -16px;
}

/* The actual content */
.contenttimeline {
  padding: 20px 30px;
  background-color:#f1f1f1;
  position: relative;
  border-radius: 6px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
  /* Place the timelime to the left */
  .timeline::after {
  left: 31px;
  }
  
  /* Full-width cntnrs */
  .cntnr {
  width: 100%;
  padding-left: 70px;
  padding-right: 25px;
  }
  
  /* Make sure that all arrows are pointing leftwards */
  .cntnr::before {
  left: 60px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
  }

  /* Make sure all circles are at the same spot */
  .lefttimeline::after, .righttimeline::after {
  left: 15px;
  }
  
  /* Make all right cntnrs behave like the left ones */
  .righttimeline {
  left: 0%;
  }

    
}